<!DOCTYPE html>
<html
  lang="en"
  xmlns:th="http://www.thymeleaf.org"
  xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
  xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
  layout:decorate="~{layout}"
>
  <head>
    <meta charset="UTF-8" />
    <title>SI-BKD Bidang Pendidikan</title>
  </head>
  <body>
    <div layout:fragment="main" class="container">
      <span th:if="${validDosen == null}">
        <div class="row mb-4">
          <div
            th:if="${success != null}"
            class="alert alert-success"
            role="alert"
          >
            <span th:text="${success}"></span>
          </div>
          <h3 class="mb-4">
            <i class="fa-solid fa-chalkboard-user" style="color: #d3b30d"></i>
            Bidang Pendidikan & Pengajaran
          </h3>
          <div class="col-md-8">
            <h6
              class="text-secondary"
              th:if="${dosen.getAsesorSatu() != null}"
              th:text="${'Asesor 1 : '+ dosen.getAsesorSatu().getNamaLengkap()}"
            ></h6>
            <h6
              class="text-secondary"
              th:if="${dosen.getAsesorSatu() == null}"
              th:text="${'Asesor 1 : -'}"
            ></h6>
            <h6
              class="text-secondary"
              th:if="${dosen.getAsesorDua() != null}"
              th:text="${'Asesor 2 : '+ dosen.getAsesorDua().getNamaLengkap()}"
            ></h6>
            <h6
              class="text-secondary"
              th:if="${dosen.getAsesorDua() == null}"
              th:text="${'Asesor 2 : -'}"
            ></h6>
          </div>

          <div class="col-md-4" align="right">
            <form method="get">
              <div class="input-group">
                <select
                  class="form-select"
                  id="selecsemester"
                  name="selectSemester"
                  aria-label="Default select example"
                >
                  <option th:value="${null}" selected>Pilih Semester</option>
                  <option
                    th:each="data : ${listSemester}"
                    th:selected="(${data} == *{semester})"
                    th:text="${data.namaSemester}"
                    th:value="${data.id}"
                  >
                    Dosen Biasa
                  </option>
                </select>
                <button class="btn btn-success" type="submit">Pilih</button>
              </div>
            </form>
          </div>
        </div>
        <div class="row">
          <div class="col-md-12 table-responsive">
            <table class="table table-bordered table-responsive mb-4">
              <thead
                class="table-dark bg-success border-white"
                style="--bs-table-bg: bg-success"
              >
                <tr>
                  <th rowspan="2" class="align-middle text-center">No</th>
                  <th rowspan="2" class="align-middle text-center">
                    Jenis Kegiatan
                  </th>
                  <th colspan="2" class="align-middle text-center">
                    Beban Kerja
                  </th>
                  <th rowspan="2" class="align-middle text-center">
                    Masa Penugasan
                  </th>
                  <th colspan="2" class="align-middle text-center">
                    Beban Kinerja
                  </th>
                  <th rowspan="2" class="align-middle text-center">Aksi</th>
                </tr>
                <tr>
                  <th class="align-middle text-center">Bukti Penugasan</th>
                  <th class="align-middle text-center">SKS</th>
                  <th class="align-middle text-center">Bukti Kinerja</th>
                  <th class="align-middle text-center">SKS Capaian</th>
                </tr>
              </thead>
              <tbody th:each="data,row : ${listLaporanBkd}">
                <tr
                  th:if="${((row.index + 2) % 2) == 1}"
                  style="background-color: #e6f6eb"
                >
                  <td rowspan="3" align="right" th:text="${row.index + 1}"></td>
                  <td th:text="${data.getNamaKegiatan()}"></td>
                  <td>
                    <div
                      class="text-black"
                      th:text="${data.getBuktiPenugasan()}"
                    ></div>
                    <div class="text-success fst-italic small">
                      Dokumen Penugasan :
                    </div>
                    <div
                      class="row"
                      th:each="dataFile,row : ${listLaporanBkdFile}"
                    >
                      <div class="col-md-10">
                        <div class="text-truncate" style="max-width: 150px">
                          <a
                            th:href="@{/laporanbkd/{laporanBkdFile}/filepenugasan/(laporanBkdFile = ${dataFile.id})}"
                            target="_blank"
                            th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}"
                            class="text-primary fst-italic small me-2"
                            th:text="${dataFile.getNamaFile()}"
                          >
                          </a>
                        </div>
                      </div>
                      <div th:if="${ada > 0}" class="col-md-1">
                        <a
                          onclick="return confirm('Apakah anda yakin untuk dokumen ini? ')"
                          th:href="@{/bidang/pendidikan/hapus_file(laporanBkdFile=${dataFile.getId()})}"
                          th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}"
                          class="fa-solid fa-circle-xmark"
                          style="color: #bb2d3b"
                        ></a>
                      </div>
                    </div>
                    <!--            <button class="btn btn-success btn-sm">Tambah Dokumen</button>-->
                    <form
                      th:if="${ada > 0}"
                      id="form1"
                      class="mt-2"
                      th:action="@{/bidang/pendidikan/tambahfilepenugasan(laporanBkd=${data.getId()})}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <label
                        class="btn btn-success small"
                        style="
                          display: inline;
                          font-size: 12px;
                          line-height: 15px;
                          padding: 5px 8px;
                        "
                      >
                        Tambah Dokumen
                        <input
                          type="file"
                          name="filePenugasan"
                          accept="application/pdf,image/jpeg,image/png"
                          onchange="validateSize(this,1)"
                          hidden
                        />
                      </label>
                    </form>
                  </td>
                  <td align="right" th:text="${data.getJumlahSks()}"></td>
                  <td
                    align="right"
                    th:text="${data.getMasaPenugasan()+ ' Semester'}"
                  ></td>
                  <td>
                    <div
                      class="text-black"
                      th:text="${data.getBuktiKinerja()}"
                    ></div>
                    <div class="text-success fst-italic small">
                      Dokumen Kinerja :
                    </div>

                    <div
                      th:if="${data.getUrl() != null}"
                      class="text-truncate"
                      style="max-width: 150px"
                    >
                      <a
                        th:href="@{${data.getUrl()}}"
                        th:text="${data.getUrl()}"
                      ></a>
                    </div>

                    <div
                      class="row"
                      th:each="dataFile,row : ${listLaporanBkdFile}"
                    >
                      <div class="col-md-10">
                        <div class="text-truncate" style="max-width: 150px">
                          <a
                            th:href="@{/laporanbkd/{laporanBkdFile}/filekinerja/(laporanBkdFile = ${dataFile.id})}"
                            target="_blank"
                            th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}"
                            class="text-primary fst-italic small me-2"
                            th:text="${dataFile.getNamaFile()}"
                          >
                          </a>
                        </div>
                      </div>
                      <div th:if="${ada > 0}" class="col-md-1">
                        <a
                          onclick="return confirm('Apakah anda yakin untuk dokumen ini? ')"
                          th:href="@{/bidang/pendidikan/hapus_file(laporanBkdFile=${dataFile.getId()})}"
                          th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}"
                          class="fa-solid fa-circle-xmark"
                          style="color: #bb2d3b"
                        ></a>
                      </div>
                    </div>
                    <!--            <button class="btn btn-success btn-sm">Tambah Dokumen</button>-->

                    <form
                      th:if="${ada > 0}"
                      id="form2"
                      class="mt-2"
                      th:action="@{/bidang/pendidikan/tambahfilekinerja(laporanBkd=${data.getId()})}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <label
                        class="btn btn-success small"
                        style="
                          display: inline;
                          font-size: 12px;
                          line-height: 15px;
                          padding: 5px 8px;
                        "
                      >
                        Tambah Dokumen
                        <input
                          type="file"
                          name="fileKinerja"
                          accept="application/pdf,image/jpeg,image/png"
                          onchange="validateSize(this,2)"
                          hidden
                        />
                      </label>
                    </form>
                  </td>
                  <td align="right" th:text="${data.getSksTerpenuhi()}"></td>
                  <td rowspan="3" align="center">
                    <a
                      th:if="${ada > 0}"
                      class="btn btn-warning mb-2"
                      th:href="@{/bidang/pendidikan/edit(laporanBkd=${data.getId()})}"
                      >Edit</a
                    >
                    <form
                      th:if="${ada > 0}"
                      method="post"
                      th:action="@{/bidang/pendidikan/hapus}"
                    >
                      <input
                        type="hidden"
                        id="laporanBkd"
                        name="laporanBkd"
                        th:value="${data.getId()}"
                      />
                      <button
                        th:if="${ada > 0}"
                        type="submit"
                        class="btn btn-danger"
                        onclick="return confirm('Apakah anda yakin untuk menghapus data ini? ')"
                      >
                        Hapus
                      </button>
                    </form>
                  </td>
                </tr>
                <tr
                  th:if="${((row.index + 2) % 2) == 1}"
                  style="background-color: #e6f6eb"
                >
                  <td colspan="3">
                    <div class="text-success fst-italic fw-bold small">
                      Catatan Asesor 1 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor1() != null}"
                      th:text="${'- ' + data.getCatatanAsesor1()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor1() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td colspan="2">
                    <div class="text-success fst-italic fw-bold small">
                      Rekomendasi Asesor 1 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor1() != null}"
                      th:text="${'- ' + data.getRekomendasiAsesor1()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor1() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td align="right">
                    <div class="text-success fst-italic fw-bold small">
                      SKS Menurut Asesor 1 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor1() != null}"
                      th:text="${data.getSksTerpenuhiAsesor1()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor1() == null}"
                    >
                      -
                    </div>
                  </td>
                </tr>
                <tr
                  th:if="${((row.index + 2) % 2) == 1}"
                  style="background-color: #e6f6eb"
                >
                  <td colspan="3">
                    <div class="text-success fst-italic fw-bold small">
                      Catatan Asesor 2 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor2() != null}"
                      th:text="${'- ' + data.getCatatanAsesor2()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor2() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td colspan="2">
                    <div class="text-success fst-italic fw-bold small">
                      Rekomendasi Asesor 2 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor2() != null}"
                      th:text="${'- ' + data.getRekomendasiAsesor2()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor2() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td align="right">
                    <div class="text-success fst-italic fw-bold small">
                      SKS Menurut Asesor 2 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor2() != null}"
                      th:text="${data.getSksTerpenuhiAsesor2()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor2() == null}"
                    >
                      -
                    </div>
                  </td>
                </tr>
                <!--        <tr th:if="${((row.index + 2) % 2) == 1}" style="background-color: #e6f6eb">-->
                <!--          <td colspan="6">-->
                <!--            <div class="text-primary fst-italic small">Catatan Kaprodi :</div>-->
                <!--            <div class="text-black fst-italic small">-</div>-->
                <!--          </td>-->
                <!--        </tr>-->

                <tr th:if="${((row.index + 2) % 2) == 0}">
                  <td rowspan="3" align="right" th:text="${row.index + 1}"></td>
                  <td th:text="${data.getNamaKegiatan()}"></td>
                  <td>
                    <div
                      class="text-black"
                      th:text="${data.getBuktiPenugasan()}"
                    ></div>
                    <div class="text-success fst-italic small">
                      Dokumen Penugasan :
                    </div>
                    <div
                      class="row"
                      th:each="dataFile,row : ${listLaporanBkdFile}"
                    >
                      <div class="col-md-10">
                        <div class="text-truncate" style="max-width: 150px">
                          <a
                            th:href="@{/laporanbkd/{laporanBkdFile}/filepenugasan/(laporanBkdFile = ${dataFile.id})}"
                            target="_blank"
                            th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}"
                            class="text-primary fst-italic small me-2"
                            th:text="${dataFile.getNamaFile()}"
                          >
                          </a>
                        </div>
                      </div>
                      <div th:if="${ada > 0}" class="col-md-1">
                        <a
                          onclick="return confirm('Apakah anda yakin untuk dokumen ini? ')"
                          th:href="@{/bidang/pendidikan/hapus_file(laporanBkdFile=${dataFile.getId()})}"
                          th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('PENUGASAN')}"
                          class="fa-solid fa-circle-xmark"
                          style="color: #bb2d3b"
                        ></a>
                      </div>
                    </div>
                    <!--            <button class="btn btn-success btn-sm">Tambah Dokumen</button>-->
                    <form
                      th:if="${ada > 0}"
                      id="form3"
                      class="mt-2"
                      th:action="@{/bidang/pendidikan/tambahfilepenugasan(laporanBkd=${data.getId()})}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <label
                        class="btn btn-success small"
                        style="
                          display: inline;
                          font-size: 12px;
                          line-height: 15px;
                          padding: 5px 8px;
                        "
                      >
                        Tambah Dokumen
                        <input
                          type="file"
                          name="filePenugasan"
                          accept="application/pdf,image/jpeg,image/png"
                          onchange="validateSize(this,3)"
                          hidden
                        />
                      </label>
                    </form>
                  </td>
                  <td align="right" th:text="${data.getJumlahSks()}"></td>
                  <td
                    align="right"
                    th:text="${data.getMasaPenugasan()+ ' Semester'}"
                  ></td>
                  <td>
                    <div
                      class="text-black"
                      th:text="${data.getBuktiKinerja()}"
                    ></div>
                    <div class="text-success fst-italic small">
                      Dokumen Kinerja :
                    </div>
                    <div
                      th:if="${data.getUrl() != null}"
                      class="text-truncate"
                      style="max-width: 150px"
                    >
                      <a
                        th:href="@{${data.getUrl()}}"
                        th:text="${data.getUrl()}"
                      ></a>
                    </div>
                    <div
                      class="row"
                      th:each="dataFile,row : ${listLaporanBkdFile}"
                    >
                      <div class="col-md-10">
                        <div class="text-truncate" style="max-width: 150px">
                          <a
                            th:href="@{/laporanbkd/{laporanBkdFile}/filekinerja/(laporanBkdFile = ${dataFile.id})}"
                            target="_blank"
                            th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}"
                            class="text-primary fst-italic small me-2"
                            th:text="${dataFile.getNamaFile()}"
                          >
                          </a>
                        </div>
                      </div>
                      <div class="col-md-1" th:if="${ada > 0}">
                        <a
                          onclick="return confirm('Apakah anda yakin untuk dokumen ini? ')"
                          th:href="@{/bidang/pendidikan/hapus_file(laporanBkdFile=${dataFile.getId()})}"
                          th:if="${data.getId() == dataFile.getLaporanBkd().getId() and dataFile.getJenisFileLaporan().toString().equals('KINERJA')}"
                          class="fa-solid fa-circle-xmark"
                          style="color: #bb2d3b"
                        ></a>
                      </div>
                    </div>
                    <!--            <button class="btn btn-success btn-sm">Tambah Dokumen</button>-->
                    <form
                      th:if="${ada > 0}"
                      id="form4"
                      class="mt-2"
                      th:action="@{/bidang/pendidikan/tambahfilekinerja(laporanBkd=${data.getId()})}"
                      method="post"
                      enctype="multipart/form-data"
                    >
                      <label
                        class="btn btn-success small"
                        style="
                          display: inline;
                          font-size: 12px;
                          line-height: 15px;
                          padding: 5px 8px;
                        "
                      >
                        Tambah Dokumen
                        <input
                          type="file"
                          name="fileKinerja"
                          accept="application/pdf,image/jpeg,image/png"
                          onchange="validateSize(this,4)"
                          hidden
                        />
                      </label>
                    </form>
                  </td>
                  <td align="right" th:text="${data.getSksTerpenuhi()}"></td>
                  <td rowspan="3" align="center">
                    <a
                      th:if="${ada > 0}"
                      class="btn btn-warning mb-2"
                      th:href="@{/bidang/pendidikan/edit(laporanBkd=${data.getId()})}"
                      >Edit</a
                    >
                    <form
                      th:if="${ada > 0}"
                      method="post"
                      th:action="@{/bidang/pendidikan/hapus}"
                    >
                      <input
                        type="hidden"
                        id="laporanBkd1"
                        name="laporanBkd"
                        th:value="${data.getId()}"
                      />
                      <button
                        th:if="${ada > 0}"
                        type="submit"
                        class="btn btn-danger"
                        onclick="return confirm('Apakah anda yakin untuk menghapus data ini? ')"
                      >
                        Hapus
                      </button>
                    </form>
                  </td>
                </tr>
                <tr th:if="${((row.index + 2) % 2) == 0}">
                  <td colspan="3">
                    <div class="text-success fst-italic fw-bold small">
                      Catatan Asesor 1 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor1() != null}"
                      th:text="${'- ' + data.getCatatanAsesor1()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor1() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td colspan="2">
                    <div class="text-success fst-italic fw-bold small">
                      Rekomendasi Asesor 1 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor1() != null}"
                      th:text="${'- ' + data.getRekomendasiAsesor1()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor1() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td align="right">
                    <div class="text-success fst-italic fw-bold small">
                      SKS Menurut Asesor 1 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor1() != null}"
                      th:text="${data.getSksTerpenuhiAsesor1()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor1() == null}"
                    >
                      -
                    </div>
                  </td>
                </tr>
                <tr th:if="${((row.index + 2) % 2) == 0}">
                  <td colspan="3">
                    <div class="text-success fst-italic fw-bold small">
                      Catatan Asesor 2 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor2() != null}"
                      th:text="${'- ' + data.getCatatanAsesor2()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getCatatanAsesor2() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td colspan="2">
                    <div class="text-success fst-italic fw-bold small">
                      Rekomendasi Asesor 2 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor2() != null}"
                      th:text="${'- ' + data.getRekomendasiAsesor2()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getRekomendasiAsesor2() == null}"
                    >
                      -
                    </div>
                  </td>
                  <td align="right">
                    <div class="text-success fst-italic fw-bold small">
                      SKS Menurut Asesor 2 :
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor2() != null}"
                      th:text="${data.getSksTerpenuhiAsesor2()}"
                    >
                      -
                    </div>
                    <div
                      class="text-black fst-italic small"
                      th:if="${data.getSksTerpenuhiAsesor2() == null}"
                    >
                      -
                    </div>
                  </td>
                </tr>
                <!--        <tr th:if="${((row.index + 2) % 2) == 0}">-->
                <!--          <td colspan="6">-->
                <!--            <div class="text-primary fst-italic small">Catatan Kaprodi :</div>-->
                <!--            <div class="text-black fst-italic small">-</div>-->
                <!--          </td>-->
                <!--        </tr>-->
              </tbody>
            </table>

            <a
              th:if="${ada > 0}"
              class="btn btn-outline-success"
              th:href="@{/bidang/pendidikan/tambah}"
              >+ Tambah Item</a
            >
            <div th:if="${ada == 0}" class="alert alert-warning text-center">
              Pelaporan BKD tidak aktif, cek jadwal pelaporan BKD di halaman
              beranda anda..
            </div>
          </div>
        </div>
      </span>
      <div th:if="${validDosen != null}" class="alert alert-danger text-center">
        Harap lengkapi biodata terlebih dahulu
        <a th:href="@{/biodata/edit}">disini</a>
      </div>
    </div>
    <div layout:fragment="footer" class="script">
      <script>
        $("#selecsemester").select2({
          theme: "bootstrap-5",
          width: $(this).data("width")
            ? $(this).data("width")
            : $(this).hasClass("w-100")
            ? "100%"
            : "style",
          placeholder: $(this).data("placeholder"),
        });
      </script>

      <script>
        function validateSize(input, n) {
          const fileSize = input.files[0].size / 1024; // in KB
          if (n == 1) {
            var form = document.getElementById("form1");
          } else if (n == 2) {
            var form = document.getElementById("form2");
          } else if (n == 3) {
            var form = document.getElementById("form3");
          } else {
            var form = document.getElementById("form4");
          }
          if (fileSize > 1000) {
            event.target.value = "";
            alert("Ukuran file melebihi 1 MB");
          } else {
            input.form.submit();
          }
        }
      </script>
    </div>
  </body>
</html>
